CK_HS_NEXT(3)

NAME
ck_hs_next - iterate to next entry in hash set

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_hs.h>
bool
ck_hs_next(ck_hs_t *hs, ck_hs_iterator_t *iterator, void **entry);

DESCRIPTION
The ck_hs_next(3) function will increment the iterator object pointed to by iterator to point to the next non-empty hash set entry. If ck_hs_next(3) returns true then the pointer pointed to by entry is initialized to the current hash set key pointed to by the iterator object.

It is expected that iterator has been initialized using the ck_hs_iterator_init(3) function or statically initialized using CK_HS_ITERATOR_INITIALIZER.

RETURN VALUES
If ck_hs_next(3) returns true then the object pointed to by entry points to a valid hash set key. If ck_hs_next(3) returns false then the value of the object pointed to by entry is undefined.

ERRORS
Behavior is undefined if iterator or hs are uninitialized.

SEE ALSO
ck_hs_init(3), ck_hs_move(3), ck_hs_destroy(3), CK_HS_HASH(3), ck_hs_iterator_init(3), ck_hs_get(3), ck_hs_put(3), ck_hs_put_unique(3), ck_hs_set(3), ck_hs_fas(3), ck_hs_remove(3), ck_hs_grow(3), ck_hs_rebuild(3), ck_hs_gc(3), ck_hs_count(3), ck_hs_reset(3), ck_hs_reset_size(3), ck_hs_stat(3)

Additional information available at http://concurrencykit.org/